Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.wocompat
Class EOObjEntity

    java.lang.Object
      org.apache.cayenne.map.Entity
          org.apache.cayenne.map.ObjEntity
              org.apache.cayenne.wocompat.EOObjEntity

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, ObjAttributeListener, ObjEntityListener, ObjRelationshipListener, CayenneMapEntry, XMLSerializable

    public class EOObjEntity

extends ObjEntity

An extension of ObjEntity used to accomodate extra EOModel entity properties.

Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected boolean` | `abstractEntity`
`protected boolean` | `subclass`

Fields inherited from class org.apache.cayenne.map.ObjEntity
`className, clientClassName, clientSuperClassName, dbEntityName, DEFAULT_GENERIC_CLASSES, LOCK_TYPE_NONE, LOCK_TYPE_OPTIMISTIC, lockType, qualifier, readOnly, serverOnly, superClassName, superEntityName`

Fields inherited from class org.apache.cayenne.map.Entity
`attributes, dataMap, name, PATH_SEPARATOR, relationships`

Constructor Summary
`EOObjEntity()`
`EOObjEntity(java.lang.String name)`

Method Summary
`java.util.Collection` | `getEOQueries()` Returns a collection of queries for this entity.
`EOQuery` | `getEOQuery(java.lang.String queryName)` Returns stored EOQuery.
`boolean` | `getHasSuperClass()` Deprecated. since 2.0 use isSubclass()
`boolean` | `getIsAbstractEntity()` Deprecated. since 2.0 use isAbstractEntity()
`boolean` | `getIsClientEntity()` Deprecated. since 2.0 use !isServerOnly()
`boolean` | `isAbstractEntity()`
`boolean` | `isSubclass()`
`java.lang.String` | `localQueryName(java.lang.String qualifiedQueryName)`
`java.lang.String` | `qualifiedQueryName(java.lang.String queryName)` Translates query name local to the ObjEntity to the global name.
`void` | `setAbstractEntity(boolean abstractEntity)`
`void` | `setHasSuperClass(boolean value)` Deprecated. since 2.0 use setSubclass()
`void` | `setIsAbstractEntity(boolean value)` Deprecated. since 2.0 use setAbstractEntity()
`void` | `setIsClientEntity(boolean value)` Deprecated. since 2.0 use setServerOnly()
`void` | `setSubclass(boolean subclass)`
`Expression` | `translateToDbPath(Expression expression)` Overrides super to support translation of EO attributes that have no ObjAttributes.

Methods inherited from class org.apache.cayenne.map.ObjEntity
`clearDbMapping, encodeAsXML, getAttribute, getAttributeForDbAttribute, getAttributeMap, getAttributes, getClassName, getClientClassName, getClientEntity, getClientSuperClassName, getDbEntity, getDbEntityName, getDeclaredAttributes, getDeclaredLockType, getDeclaredQualifier, getDeclaredRelationships, getJavaClass, getJavaClass, getLockType, getRelationship, getRelationshipForDbRelationship, getRelationshipMap, getRelationships, getSuperClassName, getSuperEntity, getSuperEntityName, isClientAllowed, isGeneric, isReadOnly, isServerOnly, isSubentityOf, objAttributeAdded, objAttributeChanged, objAttributeRemoved, objEntityAdded, objEntityChanged, objEntityRemoved, objRelationshipAdded, objRelationshipChanged, objRelationshipRemoved, resolvePathComponents, setClassName, setClientClassName, setClientSuperClassName, setDbEntity, setDbEntityName, setDeclaredLockType, setDeclaredQualifier, setReadOnly, setServerOnly, setSuperClassName, setSuperEntityName, translateToRelatedEntity`

Methods inherited from class org.apache.cayenne.map.Entity
`addAttribute, addRelationship, clearAttributes, clearRelationships, getAnyRelationship, getDataMap, getName, getParent, lastPathComponent, removeAttribute, removeRelationship, resolvePathComponents, setDataMap, setName, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### subclass

    protected boolean subclass

### abstractEntity

    protected boolean abstractEntity

Constructor Detail

### EOObjEntity

    public EOObjEntity()

### EOObjEntity

    public EOObjEntity(java.lang.String name)

Method Detail

### setHasSuperClass

    public void setHasSuperClass(boolean value)

  Deprecated. since 2.0 use setSubclass()

### getHasSuperClass

    public boolean getHasSuperClass()

  Deprecated. since 2.0 use isSubclass()

### setIsClientEntity

    public void setIsClientEntity(boolean value)

  Deprecated. since 2.0 use setServerOnly()

### getIsClientEntity

    public boolean getIsClientEntity()

  Deprecated. since 2.0 use !isServerOnly()

### setIsAbstractEntity

    public void setIsAbstractEntity(boolean value)

  Deprecated. since 2.0 use setAbstractEntity()

### getIsAbstractEntity

    public boolean getIsAbstractEntity()

  Deprecated. since 2.0 use isAbstractEntity()

### getEOQuery

    public EOQuery getEOQuery(java.lang.String queryName)

  Returns stored EOQuery.

  Since:
    1.1

### translateToDbPath

    public Expression translateToDbPath(Expression expression)

  Overrides super to support translation of EO attributes that have no ObjAttributes.

  Overrides:
    `translateToDbPath` in class `ObjEntity`
  Since:
    1.2

### getEOQueries

    public java.util.Collection getEOQueries()

  Returns a collection of queries for this entity.

  Since:
    1.1

### isAbstractEntity

    public boolean isAbstractEntity()

### setAbstractEntity

    public void setAbstractEntity(boolean abstractEntity)

### isSubclass

    public boolean isSubclass()

### setSubclass

    public void setSubclass(boolean subclass)

### qualifiedQueryName

    public java.lang.String qualifiedQueryName(java.lang.String queryName)

  Translates query name local to the ObjEntity to the global name. This translation is needed since EOModels store queries by entity, while Cayenne DataMaps store them globally.

  Since:
    1.1

### localQueryName

    public java.lang.String localQueryName(java.lang.String qualifiedQueryName)

  Since:
    1.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.